Enable an Account
post
/access-governance/identities/20250331/identities/{identityId}/accounts/{accountId}/action/enable
Enables an Account by identifier.
Request
Path Parameters
-
accountId(required): string
Unique Account id.
-
identityId(required): string
Unique Identity id.
Query Parameters
-
orchestratedSystemId: string
Minimum Length:
1Maximum Length:255A filter to return only resources that match given orchestrated system identifier.
Header Parameters
-
opc-request-id: string
The client request ID for tracing. The only valid characters for request IDs are letters, numbers, underscore, and dash.
Response
Supported Media Types
- application/json
200 Response
Enables the Account for the given Account Id.
Headers
-
etag: string
For optimistic concurrency control. See `if-match`.
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : AccountData
Type:
objectAccount Summary
Show Source
-
globalIdentityId:
string
Global Identity Id mapped to that account.
-
orchestratedSystemId:
string
Orchestrated System Id of that account.
-
targetIdentityId(required):
string
Id of the account.
400 Response
Bad Request
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
401 Response
Unauthorized
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
404 Response
Not Found
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
409 Response
Conflict
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
429 Response
Too Many Requests
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
500 Response
Internal Server Error
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
Default Response
Unknown Error
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
Examples
The following example shows how you can enable a disabled account. orchestratedSystemId is the required query parameter.
cURL Example POST
curl -i -X POST \
-H "Authorization:Bearer <your-access-token>" \
-H "Content-Type:application/json" \
'<${service-instance-url}/access-governance/identities/20250331/identities/${identityId}/accounts/${accountId}/action/enable?targetId=${orchestratedSystemId}>'
Submit the POST request
Use the orchestratedSystemId in the query parameter.
${service-instance-url}/access-governance/identities/20250331/identities/${identityId}/accounts/${accountId}/action/enable?targetId=${orchestratedSystemId}>Example of the Response Code
You'll receive a 200 OK Response code with the following Response body:
{
"targetIdentityId": "targetId.account.ICF.xxx68424-59xx-45cd-bxxx-10fcaxxx82946.dcf62aba2cabxxx7e5d7421afx7daf7e0bae",
"globalIdentityId": "globalId.8d51xxbf-ab68-4fxx-ae89-xbccxx9de5be.147xxx.a84xxx862e09xxba29e9002afd63a7fb",
"orchestratedSystemId": "307xxxx4-598c-4xxx-be94-10xxxxx2946"
}